Subject: bug#30928: no error val returned by 'nice' failure?

From: Paul Eggert <[email-masked]>
Date: Sun, 1 Apr 2018 10:03:01 -0700

Pádraig Brady wrote:
> I wonder could we special case `nice true`
> to indicate the nice return

That would lead to a problem where 'nice true' succeeds but 'nice cmd' (for 
whatever reason) does not. Perhaps the OS has a limit as to how many processes 
you can 'nice', for example. It'd be safer to add an option to avoid such race 
conditions. Plus, as you mention it'd be less hacky, which means it'd be more 
straightforward to document.